

-- crear campos tabla doc_documento.proyecto

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto' and column_name = 'nombre' )
begin
alter table [doc_documento.proyecto] add [nombre] varchar(500) not NULL DEFAULT 0
end

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto' and column_name = 'fechaInicioEstimada' )
begin
alter table [doc_documento.proyecto] add [fechaInicioEstimada] smalldatetime not NULL DEFAULT 1/1/1900
end

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto' and column_name = 'fechaFinEstimada' )
begin
alter table [doc_documento.proyecto] add [fechaFinEstimada] smalldatetime not NULL DEFAULT 1/1/1900
end

if not exists(select * FROM INFORMATION_SCHEMA.COLUMNS  where Table_Name='doc_documento.proyecto' and column_name = 'descripcion' )
begin
alter table [doc_documento.proyecto] add [descripcion] varchar(2000)  DEFAULT 0
end




--- registro de columnas 


IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto'
      AND [columna]='nombre' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='varchar' AND[defecto]=0 AND [tamano] =500)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto' ,'nombre',1 ,5 ,1 ,'varchar' ,0 ,500)
END


IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto'
      AND [columna]='fechaInicioEstimada' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='date' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto' ,'fechaInicioEstimada',1 ,5 ,1 ,'date' ,0 ,100)
END




IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto'
      AND [columna]='fechaFinEstimada' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='date' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto' ,'fechaFinEstimada',1 ,5 ,1 ,'int' ,0 ,100)
END



IF NOT EXISTS(SELECT *FROM [_columnas] WHERE[tabla]='doc_documento.proyecto'
      AND [columna]='descripcion' AND[mostrarEnGrilla]=1 AND[ordenGrilla]=5AND[requerido]=1 AND [tipo]='varchar' AND[defecto]=0 AND [tamano] =100)
BEGIN
INSERT INTO [_columnas]
([tabla] ,[columna] ,[mostrarEnGrilla],[ordenGrilla],[requerido] ,[tipo],[defecto],[tamano])
 VALUES
 ('doc_documento.proyecto' ,'descripcion',1 ,5 ,1 ,'int' ,0 ,100)
END

